beam-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "G Money (JIRA)" <j...@apache.org>
Subject [jira] [Created] (BEAM-1662) Re. BEAM-974 - PubSub.read/write() .withCoder requirement should raise a more informative error in Dataflow
Date Wed, 08 Mar 2017 22:37:38 GMT
G Money created BEAM-1662:
-----------------------------

             Summary: Re. BEAM-974 - PubSub.read/write() .withCoder requirement should raise
a more informative error in Dataflow
                 Key: BEAM-1662
                 URL: https://issues.apache.org/jira/browse/BEAM-1662
             Project: Beam
          Issue Type: Wish
          Components: sdk-java-core
         Environment: google cloud / dataflow
            Reporter: G Money
            Assignee: Davor Bonaci
            Priority: Minor


Hello,
I'm a Google Cloud Support Specialist who recently owned a case from a platinum customer who
was reporting "validation of workflow failed" internal error when attempting to use new beta
SDK.  Eventually, it was determined that the problem was that they weren't using .withCoder,
which became required after BEAM-974[1].  They would like to request that a more informative
error be thrown, as the current one is far too vague to be able to derive any useful information
from.  Thank you.

Regards,

Garrett Anderson
Cloud Support Specialist
Google Cloud Platform Support 

[1] https://issues.apache.org/jira/browse/BEAM-974



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message